import React from 'react';
import { unstable_setRequestLocale } from 'next-intl/server';
import { useTranslations } from 'next-intl';
import { Experts } from '../../../../components/Experts/Experts';

export default function ExpertsPage({ params: { locale } }: { params: { locale: string } }) {
    unstable_setRequestLocale(locale);
    const t = useTranslations('Experts');

    return (
        <div className="main-find">
            <div className="b-inner">
                <div id="filter" className="main-find__top">
                    <h2 className="title-h2">{t('title')}</h2>
                    <div className="open-filter">
                        <img src="/images/options-outline.svg" className="" alt=""/>
                    </div>
                </div>
                <Experts locale={locale} />
            </div>
        </div>
    );
};
