'use client'

import React, { ReactNode } from 'react';
import { AccountMenu } from '../../../../components/Account';

type AccountInnerLayoutProps = {
    children: ReactNode;
    params: { locale: string };
};

export default function AccountInnerLayout({ children, params: { locale } }: AccountInnerLayoutProps) {
    return (
        <div className="page-account">
            <div className="b-inner">
                <div className="row">
                    <div className="col-xl-3 col-lg-4 d-none d-lg-block">
                        <AccountMenu locale={locale} />
                    </div>
                    <div className="col-xl-9 col-lg-8 ">
                        <div className="page-account__inner">
                            {children}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    );
};
