import React from 'react';
import { unstable_setRequestLocale } from 'next-intl/server';
import { Link } from '../../../../../../navigation';
import { i18nText } from '../../../../../../i18nKeys';

export default function Coaching({ params: { locale } }: { params: { locale: string } }) {
    unstable_setRequestLocale(locale);

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item">
                    <Link href={'/account/work-with-us' as any}>
                        Work With Us
                    </Link>
                </li>
                <li className="breadcrumb-item active" aria-current="page">Coaching</li>
            </ol>
            <div className="coaching-info">
                <div className="card-profile">
                    <div className="card-profile__header">
                        <div className="card-profile__header__portrait">
                            <img src="/images/person.png" className="" alt="" />
                        </div>
                        <div className="card-profile__header__inner">
                            <div className="card-profile__header__name">
                                David
                            </div>
                            <div className="card-profile__header__title">
                                12 Practice hours
                            </div>
                            <div className="card-profile__header__title ">
                                15 Supervision per year
                            </div>
                        </div>
                    </div>
                </div>
                <div className="coaching-info__wrap-btn">
                    <a href="#" className="btn-edit">Edit</a>
                    <a href="#" className="btn-apply">Add Offer</a>
                </div>
            </div>
            <div className="coaching-section">
                <h2 className="title-h2">
                    My Offers
                </h2>
                <div className="coaching-section__desc">
                    <div className="coaching-offer">
                        <div className="coaching-offer__header">
                            <div className="coaching-offer__title">
                                Senior Software Engineer
                            </div>
                            <div className="coaching-offer__wrap-btn">
                                <a href="#" className="link-edit">Edit</a>
                                <a href="#" className="link-remove">Remove</a>
                            </div>
                        </div>
                        <div className="coaching-offer__price">
                            45$ <span>/ 45min</span>
                        </div>
                        <div className="skills__list">
                            <div className="skills__list__item">Engineering & Data</div>
                            <div className="skills__list__item">Engineering & Data</div>
                            <div className="skills__list__more">+6</div>
                        </div>
                        <div className="coaching-offer__desc">
                            I have worked across a variety of organizations, lead teams, and delivered quality software
                            for 8 years. In that time I've worked as an independent consultant, at agencies as a team
                            lead, and as a senior engineer at Auth0. I also host a podcast
                            https://anchor.fm/work-in-programming where I break down how …
                        </div>
                    </div>
                </div>
            </div>
            <div className="coaching-section">
                <h2 className="title-h2">
                    About Coach
                </h2>
                <div className="base-text">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                    malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                </div>
            </div>

            <div className="coaching-section">
                <h2 className="title-h2">
                    Education
                </h2>
                <div className="coaching-section__desc">
                    <h3 className="title-h3">Psychologist </h3>
                    <div className="base-text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                        malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                    </div>
                    <div className="sertific">
                        <img src="/images/sertific.png" className="" alt="" />
                    </div>
                </div>
            </div>
            <div className="coaching-section">
                <h2 className="title-h2">{i18nText('profCertification', locale)}</h2>
                <div className="coaching-section__desc">
                    <div className="base-text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                        malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                    </div>
                </div>
            </div>
            <div className="coaching-section">
                <h2 className="title-h2">
                    Trainings | Seminars | Courses
                </h2>
                <div className="coaching-section__desc">
                    <div className="base-text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                        malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                    </div>
                </div>
            </div>
            <div className="coaching-section">
                <h2 className="title-h2">
                    MBA Information
                </h2>
                <div className="coaching-section__desc">
                    <div className="base-text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam aliquet, lectus nec viverra
                        malesuada, ligula sem tempor risus, non posuere urna diam a libero.
                    </div>
                </div>
            </div>
        </>
    );
}
